E-File Magic

Imports

Get an import

Read an import's current status and saved mapping.

POST
/api/v1/imports/submissions/get
Authentication
OAuth 2.0 access token
Required scopes
imports.read
Idempotency key
Not required
Rate-limit cost
2 units

How to use this endpoint

Use the submission ID returned by create. Poll this endpoint after starting processing before reading row diagnostics.

Request example

cURL request
curl --request POST 'https://api.efilemagic.com/api/v1/imports/submissions/get' \
  --header 'Authorization: Bearer <access-token>' \
  --header 'Content-Type: application/json' \
  --data '{"submission_id":"11111111-1111-4111-8111-111111111111"}'

Replace placeholders with your own values. Use the API resource origin provided for your environment.